| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
ADT
ADT.CircularList
ADT.CircularList()->CircularListIterator

# Method ADT.CircularList()->CircularListIterator()->`-()

Method `-

  `CircularListIterator `-(int steps)`

Description

  Move the iterator steps steps backwards (negative value on steps will cause the iterator to move forwards) and return the result as a new iterator.

Returns

  A new iterator positioned steps steps backwards.